import request from '@/utils/request'

// 查询医生处方列表
export function listDoctorPrescribe(query) {
  return request({
    url: '/his/doctorPrescribe/list',
    method: 'get',
    params: query
  })
}

// 查询医生处方详细
export function getDoctorPrescribe(prescribeId) {
  return request({
    url: '/his/doctorPrescribe/' + prescribeId,
    method: 'get'
  })
}

// 新增医生处方
export function addDoctorPrescribe(data) {
  return request({
    url: '/his/doctorPrescribe',
    method: 'post',
    data: data
  })
}

// 修改医生处方
export function updateDoctorPrescribe(data) {
  return request({
    url: '/his/doctorPrescribe',
    method: 'put',
    data: data
  })
}

// 删除医生处方
export function delDoctorPrescribe(prescribeId) {
  return request({
    url: '/his/doctorPrescribe/' + prescribeId,
    method: 'delete'
  })
}

// 导出医生处方
export function exportDoctorPrescribe(query) {
  return request({
    url: '/his/doctorPrescribe/export',
    method: 'get',
    params: query
  })
}